diff -I '\$\(PostgreSQL\|OpenBSD\|FreeBSD\|NetBSD\|KAME\)' -x CVS -x .git -ur /home/peter/devel/postgresql/cvs/pg85/cvs-pgsql/config/python.m4 postgresql/config/python.m4
--- /home/peter/devel/postgresql/cvs/pg85/cvs-pgsql/config/python.m4	2009-12-17 00:37:54.000000000 +0200
+++ postgresql/config/python.m4	2009-12-16 20:26:53.000000000 +0200
@@ -30,12 +30,10 @@
     AC_MSG_ERROR([distutils module not found])
 fi
 AC_MSG_CHECKING([Python configuration directory])
-python_majorversion=`${PYTHON} -c "import sys; print(sys.version[[0]])"`
 python_version=`${PYTHON} -c "import sys; print(sys.version[[:3]])"`
 python_configdir=`${PYTHON} -c "from distutils.sysconfig import get_python_lib as f; import os; print(os.path.join(f(plat_specific=1,standard_lib=1),'config'))"`
 python_includespec=`${PYTHON} -c "import distutils.sysconfig; print('-I'+distutils.sysconfig.get_python_inc())"`
 
-AC_SUBST(python_majorversion)[]dnl
 AC_SUBST(python_version)[]dnl
 AC_SUBST(python_configdir)[]dnl
 AC_SUBST(python_includespec)[]dnl
diff -I '\$\(PostgreSQL\|OpenBSD\|FreeBSD\|NetBSD\|KAME\)' -x CVS -x .git -ur /home/peter/devel/postgresql/cvs/pg85/cvs-pgsql/contrib/start-scripts/freebsd postgresql/contrib/start-scripts/freebsd
--- /home/peter/devel/postgresql/cvs/pg85/cvs-pgsql/contrib/start-scripts/freebsd	2009-08-28 23:18:20.000000000 +0300
+++ postgresql/contrib/start-scripts/freebsd	2009-01-13 21:48:57.000000000 +0200
@@ -27,9 +27,9 @@
 # The path that is to be used for the script
 PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
 
-# What to use to start up the postmaster.  (If you want the script to wait
-# until the server has started, you could use "pg_ctl start -w" here.
-# But without -w, pg_ctl adds no value.)
+# What to use to start up the postmaster (we do NOT use pg_ctl for this,
+# as it adds no value and can cause the postmaster to misrecognize a stale
+# lock file)
 DAEMON="$prefix/bin/postmaster"
 
 # What to use to shut down the postmaster
diff -I '\$\(PostgreSQL\|OpenBSD\|FreeBSD\|NetBSD\|KAME\)' -x CVS -x .git -ur /home/peter/devel/postgresql/cvs/pg85/cvs-pgsql/contrib/start-scripts/osx/PostgreSQL postgresql/contrib/start-scripts/osx/PostgreSQL
--- /home/peter/devel/postgresql/cvs/pg85/cvs-pgsql/contrib/start-scripts/osx/PostgreSQL	2009-08-28 23:18:20.000000000 +0300
+++ postgresql/contrib/start-scripts/osx/PostgreSQL	2009-01-13 21:48:57.000000000 +0200
@@ -68,9 +68,9 @@
 # The path that is to be used for the script
 PATH="$prefix/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin"
 
-# What to use to start up the postmaster.  (If you want the script to wait
-# until the server has started, you could use "pg_ctl start -w" here.
-# But without -w, pg_ctl adds no value.)
+# What to use to start up the postmaster (we do NOT use pg_ctl for this,
+# as it adds no value and can cause the postmaster to misrecognize a stale
+# lock file)
 DAEMON="$prefix/bin/postmaster"
 
 # What to use to shut down the postmaster
@@ -85,7 +85,7 @@
     if [ "${POSTGRESQL:=-NO-}" = "-YES-" ]; then
         ConsoleMessage "Starting PostgreSQL database server"
         if [ "${ROTATELOGS}" = "1" ]; then
-            sudo -u $PGUSER sh -c "${DAEMON} -D '${PGDATA}' &" 2>&1 | ${LOGUTIL} '${PGLOG}' ${ROTATESEC} &
+            sudo -u $PGUSER sh -c "${DAEMON} -D '${PGDATA}' 2>&1 | ${LOGUTIL} '${PGLOG}' ${ROTATESEC} &"
         else
             sudo -u $PGUSER sh -c "${DAEMON} -D '${PGDATA}' &" >>$PGLOG 2>&1
         fi
@@ -104,7 +104,7 @@
 	sudo -u $PGUSER $PGCTL stop -D "$PGDATA" -s -m fast
 	# should match StartService:
         if [ "${ROTATELOGS}" = "1" ]; then
-            sudo -u $PGUSER sh -c "${DAEMON} -D '${PGDATA}' &" 2>&1 | ${LOGUTIL} '${PGLOG}' ${ROTATESEC} &
+            sudo -u $PGUSER sh -c "${DAEMON} -D '${PGDATA}' 2>&1 | ${LOGUTIL} '${PGLOG}' ${ROTATESEC} &"
         else
             sudo -u $PGUSER sh -c "${DAEMON} -D '${PGDATA}' &" >>$PGLOG 2>&1
         fi
